//
//  UIImageViewController.m
//  UIImage


#import "UIImageViewController.h"
@implementation UIImageViewController


- (void)drawButton
{
	myButton = [UIButton buttonWithType:UIButtonTypeCustom];
    myButton.frame = CGRectMake(80, 50, 70, 70); //set frame for button
	
	UIImage *buttonImage = [UIImage imageNamed:@"icon6.png"];
	[myButton setBackgroundImage:buttonImage forState:UIControlStateNormal];
	
	[myButton setTitle:@"Ok" forState:UIControlStateNormal];
	[myButton addTarget:self action:@selector(buttonClicked:) forControlEvents:UIControlEventTouchUpInside];
	
	[self.view addSubview:myButton];
	
}


- (void)viewDidLoad {
    [super viewDidLoad];
		
	[self drawButton];

}

- (IBAction)buttonClicked:(id)sender
{

		UIImage *buttonImage = [UIImage imageNamed:@"home.png"];
		[myButton setBackgroundImage:buttonImage forState:UIControlStateHighlighted];
		
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[myButton release];
	
}

@end
